if [ ! -e /etc/xml/docbook ]; then
    xmlcatalog --noout --create /etc/xml/docbook
else
 cp -f /etc/xml/docbook /etc/xml/docbook.old
 echo "The old /etc/xml/docbook file has been copied to /etc/xml/docbook.old"
fi
xmlcatalog --noout --add "public"     "-//OASIS//DTD DocBook XML V4.4//EN"     "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//DTD DocBook XML CALS Table Model V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/calstblx.dtd"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//DTD XML Exchange Table Model 19990315//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/soextblx.dtd"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ELEMENTS DocBook XML Information Pool V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/dbpoolx.mod"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/dbhierx.mod"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ELEMENTS DocBook XML HTML Tables V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/htmltblx.mod"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ENTITIES DocBook XML Notations V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/dbnotnx.mod"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ENTITIES DocBook XML Character Entities V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/dbcentx.mod"     /etc/xml/docbook
xmlcatalog --noout --add "public"     "-//OASIS//ENTITIES DocBook XML Additional General Entities V4.4//EN"     "file:///usr/share/xml/docbook/xml-dtd-4.4/dbgenent.mod"     /etc/xml/docbook
xmlcatalog --noout --add "rewriteSystem"     "http://www.oasis-open.org/docbook/xml/4.4"     "file:///usr/share/xml/docbook/xml-dtd-4.4"     /etc/xml/docbook
xmlcatalog --noout --add "rewriteURI"     "http://www.oasis-open.org/docbook/xml/4.4"     "file:///usr/share/xml/docbook/xml-dtd-4.4"     /etc/xml/docbook
if [ ! -e /etc/xml/catalog ]; then
    xmlcatalog --noout --create /etc/xml/catalog
else
 cp -f /etc/xml/catalog /etc/xml/catalog.old
 echo "The old /etc/xml/catalog file has been copied to /etc/xml/catalog.old"
fi
xmlcatalog --noout --add "delegatePublic"     "-//OASIS//ENTITIES DocBook XML"     "file:///etc/xml/docbook"     /etc/xml/catalog
xmlcatalog --noout --add "delegatePublic"     "-//OASIS//DTD DocBook XML"     "file:///etc/xml/docbook"     /etc/xml/catalog
xmlcatalog --noout --add "delegateSystem"     "http://www.oasis-open.org/docbook/"     "file:///etc/xml/docbook"     /etc/xml/catalog
xmlcatalog --noout --add "delegateURI"     "http://www.oasis-open.org/docbook/"     "file:///etc/xml/docbook"     /etc/xml/catalog
for DTDVERSION in 4.1.2 4.2 4.3
do
  xmlcatalog --noout --add "public"     "-//OASIS//DTD DocBook XML V$DTDVERSION//EN"     "http://www.oasis-open.org/docbook/xml/$DTDVERSION/docbookx.dtd"     /etc/xml/docbook
  xmlcatalog --noout --add "rewriteSystem"     "http://www.oasis-open.org/docbook/xml/$DTDVERSION"     "file:///usr/share/xml/docbook/xml-dtd-4.4"     /etc/xml/docbook
  xmlcatalog --noout --add "rewriteURI"     "http://www.oasis-open.org/docbook/xml/$DTDVERSION"     "file:///usr/share/xml/docbook/xml-dtd-4.4"     /etc/xml/docbook
  xmlcatalog --noout --add "delegateSystem"     "http://www.oasis-open.org/docbook/xml/$DTDVERSION/"     "file:///etc/xml/docbook"     /etc/xml/catalog
  xmlcatalog --noout --add "delegateURI"     "http://www.oasis-open.org/docbook/xml/$DTDVERSION/"     "file:///etc/xml/docbook"     /etc/xml/catalog
done
